[kernel] r8017 - in dists/trunk/utils/mkvmlinuz/mkvmlinuz: . debian debian/po

Sven Luther luther at alioth.debian.org
Sat Dec 16 01:30:20 UTC 2006


Author: luther
Date: Sat Dec 16 02:30:19 2006
New Revision: 8017

Modified:
   dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/changelog
   dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/config
   dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/po/pt_BR.po
   dists/trunk/utils/mkvmlinuz/mkvmlinuz/mkvmlinuz
Log:
Added Efika support.
Added support for 2.6.19 kernels.
Added Portuguese translation.


Modified: dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/changelog
==============================================================================
--- dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/changelog	(original)
+++ dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/changelog	Sat Dec 16 02:30:19 2006
@@ -1,6 +1,19 @@
+mkvmlinuz (29) unstable; urgency=high
+
+  * Added Efika support.
+
+ -- Sven Luther <luther at debian.org>  Sat, 16 Dec 2006 02:18:19 +0100
+
+mkvmlinuz (28) unstable; urgency=low
+
+  * Added support for 2.6.19 kernels.
+  * Added portuguese translation. (Closes: #401384)
+
+ -- Sven Luther <luther at debian.org>  Tue,  5 Dec 2006 17:20:48 +0100
+
 mkvmlinuz (27) unstable; urgency=low
 
-  * Corrected typo. (Closes: 399768)
+  * Corrected typo. (Closes: #399768)
 
  -- Sven Luther <luther at debian.org>  Tue, 21 Nov 2006 22:43:28 +0100
 

Modified: dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/config
==============================================================================
--- dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/config	(original)
+++ dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/config	Sat Dec 16 02:30:19 2006
@@ -7,7 +7,7 @@
 case $(grep ^machine /proc/cpuinfo) in
     *PReP*Blackhawk*) arch=ppcbug ;;
     *PReP*) arch=prep ;;
-    *CHRP*Pegasos*) arch=chrp_pegasos ;;
+    *CHRP*Pegasos*|*EFIKA*CHRP*) arch=chrp_pegasos ;;
     *CHRP*) arch=chrp ;;
     *Amiga*) arch=apus ;;
     *iSeries*) arch=iseries ;;

Modified: dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/po/pt_BR.po
==============================================================================
--- dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/po/pt_BR.po	(original)
+++ dists/trunk/utils/mkvmlinuz/mkvmlinuz/debian/po/pt_BR.po	Sat Dec 16 02:30:19 2006
@@ -15,7 +15,7 @@
 # Licensed under the same terms of the mkvmlinuz package.
 #
 msgid ""
-msgstr "pt_BR utf-8\n"
+msgstr ""
 "Project-Id-Version: mkvmlinuz (20061109)\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2006-10-31 08:09+0100\n"
@@ -25,6 +25,7 @@
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"pt_BR utf-8\n"
 
 #. Type: select
 #. Description

Modified: dists/trunk/utils/mkvmlinuz/mkvmlinuz/mkvmlinuz
==============================================================================
--- dists/trunk/utils/mkvmlinuz/mkvmlinuz/mkvmlinuz	(original)
+++ dists/trunk/utils/mkvmlinuz/mkvmlinuz/mkvmlinuz	Sat Dec 16 02:30:19 2006
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash 
 
 # usage information
 usage() {
@@ -152,6 +152,12 @@
   post_2_6_18=
 fi
 
+if dpkg --compare-versions $release ge 2.6.19 && test "$arch" != "prep" ; then
+  post_2_6_19=Yes
+else
+  post_2_6_19=
+fi
+
 test -z "$verbose" || echo === Release version seems to be $release.
 
 # if no object file directory was specified, try to find one
@@ -281,149 +287,160 @@
     esac
 fi
 
-# create the compressed kernel image file
-test -z "$verbose" || echo === Creating compressed kernel image vmlinux.gz...
-if test -n "$elf" || test -n "$post_2_6_16"; then
-    do_cmd $STRIP $kernel -o $work/vmlinux
-else
-    do_cmd $OBJCOPY -O binary $kernel $work/vmlinux
-fi
-do_cmd $GZIP $work/vmlinux
+# If we are on ARCH=powerpc and 2.6.19 or higher, we just call the provided wrapper script.
 
-# create the raw ELF image file; this is not needed for the miBoot image
-if test -z "$elf"; then
-    test -z "$verbose" || echo === Putting everything into ELF image file image.o...
-    if test -n "$post_2_6_16"; then
-      do_cmd $OBJCOPY $dummy_kernel $work/dummy_kernel.o \
-    	--add-section=.kernel:vmlinux.strip=$work/vmlinux.gz \
-	--set-section-flags=.kernel:vmlinux.strip=contents,alloc,load,readonly,data
-      if test -n "$initrd"; then
-	do_cmd $OBJCOPY $dummy_initrd $work/dummy_initrd.o \
-	    --add-section=.kernel:initrd=$work/initrd.gz \
-	    --set-section-flags=.kernel:initrd=contents,alloc,load,readonly,data
-      fi
-    else
-      do_cmd $OBJCOPY -R .comment $dummy $work/image.o
-      do_cmd $OBJCOPY $work/image.o $work/image.o \
-	--add-section=.image=$work/vmlinux.gz \
-	--set-section-flags=.image=contents,alloc,load,readonly,data
-      if test -n "$sysmap"; then
-	do_cmd $OBJCOPY $work/image.o $work/image.o \
-	    --add-section=.sysmap=$sysmap \
-	    --set-section-flags=.sysmap=contents,alloc,load,readonly,data
-      fi
-      if test -n "$initrd"; then
-	do_cmd $OBJCOPY $work/image.o $work/image.o \
-	    --add-section=.ramdisk=$work/initrd.gz \
-	    --set-section-flags=.ramdisk=contents,alloc,load,readonly,data
+if test -n "$post_2_6_19" &&  test "$arch" != "prep"; then
+  WRAPPER=$objdir/wrapper
+  vmlinuz=$work/vmlinuz.$arch
+  if test -n "$initrd"; then
+    INITRD="-i $work/initrd.gz"
+  fi
+  $WRAPPER -c -o $vmlinuz -p $arch $INITRD -D $objdir -W $work $kernel
+else 
+  # create the compressed kernel image file
+  test -z "$verbose" || echo === Creating compressed kernel image vmlinux.gz...
+  if test -n "$elf" || test -n "$post_2_6_16"; then
+      do_cmd $STRIP $kernel -o $work/vmlinux
+  else
+      do_cmd $OBJCOPY -O binary $kernel $work/vmlinux
+  fi
+  do_cmd $GZIP $work/vmlinux
+  
+  # create the raw ELF image file; this is not needed for the miBoot image
+  if test -z "$elf"; then
+      test -z "$verbose" || echo === Putting everything into ELF image file image.o...
+      if test -n "$post_2_6_16"; then
+        do_cmd $OBJCOPY $dummy_kernel $work/dummy_kernel.o \
+      	--add-section=.kernel:vmlinux.strip=$work/vmlinux.gz \
+  	--set-section-flags=.kernel:vmlinux.strip=contents,alloc,load,readonly,data
+        if test -n "$initrd"; then
+  	do_cmd $OBJCOPY $dummy_initrd $work/dummy_initrd.o \
+  	    --add-section=.kernel:initrd=$work/initrd.gz \
+  	    --set-section-flags=.kernel:initrd=contents,alloc,load,readonly,data
+        fi
+      else
+        do_cmd $OBJCOPY -R .comment $dummy $work/image.o
+        do_cmd $OBJCOPY $work/image.o $work/image.o \
+  	--add-section=.image=$work/vmlinux.gz \
+  	--set-section-flags=.image=contents,alloc,load,readonly,data
+        if test -n "$sysmap"; then
+  	do_cmd $OBJCOPY $work/image.o $work/image.o \
+  	    --add-section=.sysmap=$sysmap \
+  	    --set-section-flags=.sysmap=contents,alloc,load,readonly,data
+        fi
+        if test -n "$initrd"; then
+  	do_cmd $OBJCOPY $work/image.o $work/image.o \
+  	    --add-section=.ramdisk=$work/initrd.gz \
+  	    --set-section-flags=.ramdisk=contents,alloc,load,readonly,data
+        fi
       fi
-    fi
-else
-	do_cmd $MV $work/vmlinux.gz $work/vmlinuz.$arch.tmp
+  else
+  	do_cmd $MV $work/vmlinux.gz $work/vmlinuz.$arch.tmp
+  fi
+  
+  # link everything into the final image file and make it bootable
+  vmlinuz=$work/vmlinuz.$arch
+  if test "$post_2_6_16"; then
+    LD_ARGS="-m elf32ppc -T $objs/zImage.lds"
+  else
+    LD_ARGS="-T $objdir/boot/ld.script"
+  fi
+  OBJCOPY_ARGS="-R .comment"
+  test -z "$verbose" || echo === Creating bootable kernel image file vmlinuz.$arch...
+  case "$arch","$post_2_6_16","$release" in
+      chrp,Yes,*|pmac,Yes,*)
+  	if test -n "$initrd"; then
+  		do_cmd $LD $LD_ARGS -o $vmlinuz $OBJS $work/dummy_kernel.o $work/dummy_initrd.o
+  	else
+  		do_cmd $LD $LD_ARGS -o $vmlinuz $OBJS $work/dummy_kernel.o 
+  	fi
+  	do_cmd $ADDNOTE $vmlinuz
+      	;;
+      chrp,,2.6*)
+      	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
+  	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr"
+  	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/crt0.o $OBJS $work/image.o $LIBS
+  	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
+  	do_cmd cp -p $objdir/boot/note $work
+  	do_cmd $ADDNOTE $vmlinuz
+  	;;
+      chrp,,2.4*)
+      	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
+  	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr"
+  	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/../common/crt0.o $OBJS $work/image.o $LIBS
+  	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
+  	do_cmd $ADDNOTE $vmlinuz
+  	;;
+      coff,,2.6*)
+      	if [ -z "$linkaddr" ]; then linkaddr=0x00500000; fi
+  	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr -Bstatic"
+  	OBJCOPY_ARGS="-O aixcoff-rs6000 -R .stab -R .stabstr $OBJCOPY_ARGS"
+  	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/coffcrt0.o $OBJS $work/image.o $LIBS
+  	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
+  	do_cmd $HACKOFF $vmlinuz
+  	;;
+      pmac,,2.6*)
+      	if [ -z "$linkaddr" ]; then linkaddr=0x01000000; fi
+  	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr"
+  	OBJCOPY_ARGS="--add-section=.note=$work/note $OBJCOPY_ARGS"
+  	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/crt0.o $OBJS $LIBS $work/image.o
+  	do_cmd $MKNOTE > $work/note
+  	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
+  	;;
+      ppcbug,*,2.6*)
+      	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
+  	LD_ARGS="$LD_ARGS -Ttext $linkaddr -Bstatic"
+  	OBJCOPY_ARGS="-O elf32-powerpc $OBJCOPY_ARGS -R .stab -R .stabstr -R .sysmap"
+  	do_cmd $LD -o $vmlinuz $LD_ARGS $OBJS $work/image.o $LIBS
+  	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz.tmp
+  	do_cmd $MKBUGBOOT $vmlinuz.tmp $vmlinuz
+  	;;
+      prep,*,2.6*)
+      	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
+  	LD_ARGS="$LD_ARGS -Ttext $linkaddr -Bstatic"
+  	OBJCOPY_ARGS="-O elf32-powerpc $OBJCOPY_ARGS -R .stab -R .stabstr -R .sysmap"
+  	do_cmd $LD -o $vmlinuz $LD_ARGS $OBJS $work/image.o $LIBS
+  	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz.tmp
+  	do_cmd $MKPREP -pbp $vmlinuz.tmp $vmlinuz
+  	;;
+      miboot,,2.6*|apus,,2.6*)
+          do_cmd $MV $vmlinuz.tmp $vmlinuz
+  	;;
+      *)
+  	echo Sorry, I do not know how to handle PowerPC sub-architecture $arch in version $release.
+  esac
 fi
 
-# link everything into the final image file and make it bootable
-vmlinuz=$work/vmlinuz.$arch
-if test "$post_2_6_16"; then
-  LD_ARGS="-m elf32ppc -T $objs/zImage.lds"
-else
-  LD_ARGS="-T $objdir/boot/ld.script"
-fi
-OBJCOPY_ARGS="-R .comment"
-test -z "$verbose" || echo === Creating bootable kernel image file vmlinuz.$arch...
-case "$arch","$post_2_6_16","$release" in
-    chrp,Yes,*|pmac,Yes,*)
-	if test -n "$initrd"; then
-		do_cmd $LD $LD_ARGS -o $vmlinuz $OBJS $work/dummy_kernel.o $work/dummy_initrd.o
-	else
-		do_cmd $LD $LD_ARGS -o $vmlinuz $OBJS $work/dummy_kernel.o 
-	fi
-	do_cmd $ADDNOTE $vmlinuz
-    	;;
-    chrp,,2.6*)
-    	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
-	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr"
-	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/crt0.o $OBJS $work/image.o $LIBS
-	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
-	do_cmd cp -p $objdir/boot/note $work
-	do_cmd $ADDNOTE $vmlinuz
-	;;
-    chrp,,2.4*)
-    	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
-	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr"
-	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/../common/crt0.o $OBJS $work/image.o $LIBS
-	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
-	do_cmd $ADDNOTE $vmlinuz
-	;;
-    coff,,2.6*)
-    	if [ -z "$linkaddr" ]; then linkaddr=0x00500000; fi
-	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr -Bstatic"
-	OBJCOPY_ARGS="-O aixcoff-rs6000 -R .stab -R .stabstr $OBJCOPY_ARGS"
-	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/coffcrt0.o $OBJS $work/image.o $LIBS
-	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
-	do_cmd $HACKOFF $vmlinuz
-	;;
-    pmac,,2.6*)
-    	if [ -z "$linkaddr" ]; then linkaddr=0x01000000; fi
-	LD_ARGS="$LD_ARGS -e _start -Ttext $linkaddr"
-	OBJCOPY_ARGS="--add-section=.note=$work/note $OBJCOPY_ARGS"
-	do_cmd $LD -o $vmlinuz $LD_ARGS $objs/crt0.o $OBJS $LIBS $work/image.o
-	do_cmd $MKNOTE > $work/note
-	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz
-	;;
-    ppcbug,*,2.6*)
-    	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
-	LD_ARGS="$LD_ARGS -Ttext $linkaddr -Bstatic"
-	OBJCOPY_ARGS="-O elf32-powerpc $OBJCOPY_ARGS -R .stab -R .stabstr -R .sysmap"
-	do_cmd $LD -o $vmlinuz $LD_ARGS $OBJS $work/image.o $LIBS
-	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz.tmp
-	do_cmd $MKBUGBOOT $vmlinuz.tmp $vmlinuz
-	;;
-    prep,*,2.6*)
-    	if [ -z "$linkaddr" ]; then linkaddr=0x00800000; fi
-	LD_ARGS="$LD_ARGS -Ttext $linkaddr -Bstatic"
-	OBJCOPY_ARGS="-O elf32-powerpc $OBJCOPY_ARGS -R .stab -R .stabstr -R .sysmap"
-	do_cmd $LD -o $vmlinuz $LD_ARGS $OBJS $work/image.o $LIBS
-	do_cmd $OBJCOPY $OBJCOPY_ARGS $vmlinuz $vmlinuz.tmp
-	do_cmd $MKPREP -pbp $vmlinuz.tmp $vmlinuz
-	;;
-    miboot,,2.6*|apus,,2.6*)
-        do_cmd $MV $vmlinuz.tmp $vmlinuz
-	;;
-    *)
-	echo Sorry, I do not know how to handle PowerPC sub-architecture $arch in version $release.
-esac
-
 # move bootable kernel image to its final location and creating symlinks.
 if test -e $vmlinuz; then
-    if test -n "$linkname"; then
-    	oldlink="`readlink $linkname`"
-    fi
-    test -z "$verbose" || echo === Moving bootable kernel image file to $output...
-    if test -e $output; then
-	echo Output file $output exists, attempting to back it up...
-	mv $output $output.old 2> /dev/null
-	if test -n "$linkname" && test "$oldlink" = "`basename $output`"; then
-	    oldlink=$output.old
-	fi
-    fi
-    cat $vmlinuz > $output
-    if test -n "$linkname"; then
-	test -z "$verbose" || echo Creating symlink : $linkname -\> $output
-	if test -L "$linkname"; then
-	    unlink $linkname
-	fi
-	ln -sf "`basename $output`" $linkname
-    	if test -n "$oldlink"; then
-	    test -z "$verbose" || echo Creating backup symlink : $linkname.old -\> $oldlink
-	    if test -L "$linkname.old"; then
-	    	unlink $linkname.old
-	    fi
-	    ln -sf $oldlink $linkname.old
-        fi
+  if test -n "$linkname"; then
+    oldlink="`readlink $linkname`"
+  fi
+  test -z "$verbose" || echo === Moving bootable kernel image file to $output...
+  if test -e $output; then
+    echo Output file $output exists, attempting to back it up...
+    mv $output $output.old 2> /dev/null
+    if test -n "$linkname" && test "$oldlink" = "`basename $output`"; then
+      oldlink=$output.old
+    fi
+  fi
+  cat $vmlinuz > $output
+  if test -n "$linkname"; then
+    test -z "$verbose" || echo Creating symlink : $linkname -\> $output
+    if test -L "$linkname"; then
+      unlink $linkname
+    fi
+    ln -sf "`basename $output`" $linkname
+    if test -n "$oldlink"; then
+      test -z "$verbose" || echo Creating backup symlink : $linkname.old -\> $oldlink
+      if test -L "$linkname.old"; then
+    	unlink $linkname.old
+      fi
+    ln -sf $oldlink $linkname.old
     fi
+  fi
 fi
-
+  
 # clean up
 test -z "$verbose" || echo === Cleaning up...
 rm -rf $work



More information about the Kernel-svn-changes mailing list